<template lang="html">
  <content-screen>
    <butter-text-field 
      @blur="blurHandler" 
      v-model="asyncValue" 
      label="Number Field" 
      note="Form Field with placeholder" 
      placeholder="00000" 
      type="number" 
    />
    <butter-text-field
      label="Text Field" note="Form Field without placeholder" error="Field Required"
      />

    <butter-text-field
      label="Text Field" note="Form Field with email validator" :validator="emailRE" invalid-message="Invalid email"
    />

        
    <form-field label="Text with error" note="Form Field with error">
      <input type="text" v-model="errorFieldValue" />
      <p class="error" slot="error">Invalid Content</p>
    </form-field>


    Butter text area:
    <butter-textarea label="Butter TextArea" v-model="textAreaModel"/>

    <p>
      {{ textAreaModel }}
    </p>
    <butter-checkbox :value="true" disabled label="Checked checkbox" />
    <butter-checkbox :value="false" disabled label="Unchecked" />
    <butter-checkbox v-model="checked" label="Usable checkbox" /> {{ checked }}
    <butter-checkbox>
      <span>content inside checkbox label</span>
    </butter-checkbox>
    <butter-checkbox label="Html <a href='#'>link</a> inside label" @browser-url="browserUrl" />
  </content-screen>
</template>

<script>
export default {
  data() {
    return {
      errorFieldValue: "Invalid Content",
      asyncValue: null,
      checked: false,
      textAreaModel: 'text area model info',
      emailRE: /^[A-Z0-9._%+-]+@[A-Z0-9.-]+\.[A-Z]{2,}$/i,
    };
  },
  methods: {
    blurHandler() {
      console.log('external blur')
    },
    browserUrl(event) {
      console.log(event)
    }
  },
  mounted() {
    setTimeout(_ => {
      this.asyncValue = "12345";
    }, 1000);
  },
}
</script>

<style lang="css" scoped>
</style>
